--[[
	Author: Darcey@AllForTheCode.co.uk
--]]




-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
initMinimapCoordinates = function()
    log("initMinimapCoordinates(): MinimapLocationBar.showLocationBar = " .. tostring(DCoordsDBZ["MinimapLocationBar"].showLocationBar) );
    log("initMinimapCoordinates(): MinimapLocationBar.coordinatesEnabled = " .. tostring(DCoordsDBZ["MinimapLocationBar"].coordinatesEnabled) );
	
    minimapSetFont();
    minimapSetVisibility();
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #





-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function minimapSetVisibility()
    if (DCoordsDBZ["MinimapLocationBar"].showLocationBar == true) then
        log("minimapSetVisibility(): show");
        showMinimapLocatioBar();
        showMinimapLocatioBar();
    else
        log("minimapSetVisibility(): hide");
        hideMinimapLocatioBar();
        hideMinimapLocatioBar();
    end
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #



-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function showMinimapLocatioBar()
    MiniMapWorldMapButton:Show()
    MinimapZoneTextButton:Show();
    --MinimapBorder:Show()
    MinimapBorderTop:Show()
    MinimapZoneText:Show();
    --Minimap:SetMaskTexture("Textures\\MinimapMask"); --default
    --Minimap:SetMaskTexture("Interface\\BUTTONS\\WHITE8X8") -- square
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #


-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function hideMinimapLocatioBar()
    MiniMapWorldMapButton:Hide()
    MinimapZoneTextButton:Hide();
    --MinimapBorder:Hide()
    MinimapBorderTop:Hide()
    MinimapZoneText:Hide();
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #







-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function minimapSetFont()
    if ( DCoordsDBZ["MinimapLocationBar"].coordinatesEnabled == false ) then
        return;
    end

    if (MinimapZoneText ~= nil) then
        log("minimapSetFont(): isAvailable");
        MinimapZoneText:SetText("Waiting for data!");
        MinimapZoneText:SetFont(getMinimapFont(), DCoordsDBZ["MinimapLocationBar"].fontSize,"OUTLINE");
        MinimapZoneText:SetTextColor(1,1,1,1);
        --MinimapZoneText:SetTextColor(DCoordsDBZ["Minimap"].fontR,DCoordsDBZ["Minimap"].fontG,DCoordsDBZ["Minimap"].fontB,DCoordsDBZ["Minimap"].fontA);
    else
        log("minimapSetFont(): WARNING: Minimap is NOT available!");
    end
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
